Extending Qt Creator Manual | CommandMappings

Extending Qt Creator Manual 4.5.2

# CommandMappings Class

(Core::CommandMappings)

- List of all members, including inherited members

## Public Functions

| CommandMappings(QWidget *parent = 0)
| ~CommandMappings()

## Signals

void | currentCommandChanged(QTreeWidgetItem *current)

## Protected Functions

QTreeWidget * | commandList() const
virtual void | defaultAction() = 0
virtual void | exportAction()
void | filterChanged(const QString &f)
virtual bool | filterColumn(const QString &filterString, QTreeWidgetItem *item, int column) const
QString | filterText() const
virtual void | importAction()
void | setFilterText(const QString &text)
void | setImportExportEnabled(bool enabled)
void | setModified(QTreeWidgetItem *item, bool modified)
void | setPageTitle(const QString &s)
void | setTargetHeader(const QString &s)

## Member Function Documentation

### CommandMappings::CommandMappings(QWidget *parent = 0)

Default constructs an instance of CommandMappings.

### CommandMappings::~CommandMappings()

Destroys the instance of CommandMappings.

### `[protected]` QTreeWidget *CommandMappings::commandList() const

### `[signal]` void CommandMappings::currentCommandChanged(QTreeWidgetItem *current)

### `[pure virtual protected]` void CommandMappings::defaultAction()

### `[virtual protected]` void CommandMappings::exportAction()

### `[protected]` void CommandMappings::filterChanged(const QString &f)

### `[virtual protected]` bool CommandMappings::filterColumn(const QString &filterString, QTreeWidgetItem *item, int column) const

### `[protected]` QString CommandMappings::filterText() const

See also setFilterText().

### `[virtual protected]` void CommandMappings::importAction()

### `[protected]` void CommandMappings::setFilterText(const QString &text)

See also filterText().

### `[protected]` void CommandMappings::setImportExportEnabled(bool enabled)

### `[protected]` void CommandMappings::setModified(QTreeWidgetItem *item, bool modified)

### `[protected]` void CommandMappings::setPageTitle(const QString &s)

### `[protected]` void CommandMappings::setTargetHeader(const QString &s)